<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<form th:fragment="inputForm" th:action="@{/}" method="post" id="inputForm" name="inputForm" th:object="${emailSettings}">
    <strong id="form-header">Maske zur Eingabe der E-Mail-Adresse für die weitere Nutzung im Rahmen von SHIP.<br></strong>
    <p>Auf dieser Seite können Sie Ihre E-Mail-Adresse eingeben, damit</p>
    <ol>
        <li>Sie in PIA das Passwort neu setzen und/oder von PIA per E-Mail über neue Fragebögen benachrichtigt werden können.</li>
        <li>das SHIP-Probandenmanagement Sie für weitere SHIP-Studien und Informationen bei Bedarf kontaktieren kann.</li>
        <br>
    </ol>
    <div class="flex-row">
        <label for="pseudoIdInput">Pseudo-ID:</label>
        <input id="pseudoIdInput" type="text" name="id" th:field="*{id}" placeholder="Pseudo-ID"  required>
    </div>
    <div class="flex-row">
        <label for="pwInput">Passwort:</label>
        <div class="pwContainer">        
            <input id="pwInput" type="password" name="password" th:field="*{password}" placeholder="Passwort" required>
            <button id="pwToggle" type="button"><i class="fa fa-eye"></i></button>
        </div>
    </div>
    <div class="flex-row">
    <label for="emailInput">E-Mail:</label>
    <input id="emailInput" type="email" name="email" th:field="*{email}" placeholder="E-Mail" required>
</div>
    <span>
        <br><br>
        Ich bin damit einverstanden, dass meine E-Mail-Adresse in PIA gespeichert wird, um auf diese Weise mein Passwort neu zu setzen und/oder von PIA per E-Mail über neue Fragebögen benachrichtigt zu werden.
    </span>
    <span>
        <input id="saveEmailForPiaYes" type="radio" name="saveEmailForPia"
               th:errorclass="is-invalid"
               th:field="*{saveEmailForPia}" value="true" required>
        <label for="saveEmailForPiaYes">Ja</label>
    </span>
    <span>
        <input id="saveEmailForPiaNo" type="radio" name="saveEmailForPia"
               th:errorclass="is-invalid"
               th:field="*{saveEmailForPia}" value="false" required>
        <label for="saveEmailForPiaNo">Nein</label>
    </span>
    <div th:errors="*{saveEmailForPia}" th:class="invalid-feedback"></div>
    <span>
        <br><br>
        Ich bin damit einverstanden, dass meine E-Mail-Adresse im SHIP-Probandenmanagement gespeichert wird, um bei Bedarf kontaktiert zu werden.
    </span>
    <span>
        <input id="saveEmailForShipYes" type="radio" name="saveEmailForShip"
               th:errorclass="is-invalid"
               th:field="*{saveEmailForShip}" value="true" required>
        <label for="saveEmailForShipYes">Ja</label>
    </span>
    <span>
        <input id="saveEmailForShipNo" type="radio" name="saveEmailForShip"
               th:errorclass="is-invalid"
               th:field="*{saveEmailForShip}" value="false" required>

        <label for="saveEmailForShipNo">Nein</label>
    </span>
    <div th:errors="*{saveEmailForShip}" th:class="invalid-feedback"></div>
    <p>
        <br>
        Sie können Ihr Einverständnis jederzeit widerrufen, indem Sie das SHIP-Probandenmanagement über Telefon 03834-867726 kontaktieren.
        <br>
    </p>
    <div class="center">
        <button id="submitButton" type="submit">Bestätigen</button>
    </div>
</form>
</html>